LINUX.ORG.RU
ФорумGames

WINEX + стек


0

0

Вот скачал winex3*deb но он пишет:

"Your system requires the use of pthreads but the maximum system allowed stack size 2052 kb may be too small for some games."

и ни черта не пускает. Пробовал -use-pthreads no:

"wine:lstat /home/my/.transgaming/wineserver-Alice/socket : No such file or directory"

anonymous

Re: WINEX + стек

Не актуально.Всем спасибо.

anonymous ()

Re: WINEX + стек

а кстати, как увеличить это стамый stack size, и до скольки нужно увеличить, чтобы не появлялось это предупреждение?

anonymous ()

Re: WINEX + стек

Я скачал рпм от Сволочи и у меня таже проблема поделитесь ее решением

anonymous ()
Ответ на: Re: WINEX + стек от anonymous

Re: Re: WINEX + стек

>а кстати, как увеличить это стамый stack size, и до скольки нужно увеличить, чтобы не появлялось это предупреждение?

взято из /usr/bin/winex3, строки 109-134:

# Test the commandline and stacksize to see if we will be using pthreads or not.
# We need at least 6 megabytes to use pthreads safely but command line overrides
case $USE_PTHREADS in
   "yes" )
     export LD_LIBRARY_PATH="$WINEXINSTALLDIR/winex/pthread_lib:$LD_LIBRARY_PATH"

     ;;
   "no" )
     ;;
   * )
     WINEX_SYSTEM_PTHREAD_SIZE=`$WINEXINSTALLDIR/winex/bin/pthreads_stack_test | sed 's/^MAXIMUM SUPPORTED STACKSIZE: /
     if [ $WINEX_SYSTEM_PTHREAD_SIZE -gt 0 ]
     then
       # This setup requires pthreads, but doesn't seem to provide a reasonable enough stack. Warn the user
       # as some games may not work as a result, but allow them to continue because some chance is better than none.
       # SuSE 8.2 and older redhat releases, among others, have this issue.
       if [ $WINEX_SYSTEM_PTHREAD_SIZE -lt 6144 -a -z "$WINEX_PTHREADS_WARNING_ISSUED" ]
       then
         echo -n "Your system requires the use of pthreads but the maximum system allowed stack size " 1>&2
         echo    "of $WINEX_SYSTEM_PTHREAD_SIZE kB may be too small for some games" 1>&2
         export WINEX_PTHREADS_WARNING_ISSUED=yes
       fi
       export LD_LIBRARY_PATH="$WINEXINSTALLDIR/winex/pthread_lib:$LD_LIBRARY_PATH"

     fi
     ;;

esac

DiMoN ★★★ ()
Ответ на: Re: Re: WINEX + стек от DiMoN

Re: Re: Re: WINEX + стек

у меня debian/unstable, kernel-2.4.22 с preempt и lowlatency патчами, glibc-2.3.2. winex выдает это самое предупреждение. непонятно что конкретно (kernel, glibc, winex, что-то еще) и где надо патчить для устранения глюка. и надо-ли вообще?..

CounterStrike и так запускается, но latency, по сравнению с виндой, в winex-3 + xfree86-4.3 (dri) гораздо больше. может из-за этого?

anonymous ()
Ответ на: Re: Re: Re: WINEX + стек от anonymous

Re: Re: Re: Re: WINEX + стек

зы: патчить /usr/bin/winex3 предлагать не надо. ;)

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.